let Prelude = ../Prelude.dhall

let kubernetes = ../kubernetes.dhall

let typesUnion = ../typesUnion.dhall

let deployment = ../http/deployment.dhall

let ingress = ../http/ingress.dhall

let service = ../http/service.dhall

let Config = ../app/config.dhall

let K8sList = ../app/list.dhall

let buildService =
        λ(config : Config.Type)
      → let myService = service config

        let myDeployment = deployment config

        let myIngress = ingress config

        in  K8sList::{
            , items =
              [ typesUnion.Service myService
              , typesUnion.Deployment myDeployment
              , typesUnion.Ingress myIngress
              ]
            }

in  buildService
